Module java.desktop
Package java.awt

## Class GridBagLayoutInfo

- java.lang.Object
- - java.awt.GridBagLayoutInfo

All Implemented Interfaces:
  Serializable

    public class GridBagLayoutInfo
    extends Object
    implements Serializable

The `GridBagLayoutInfo` is an utility class for `GridBagLayout` layout manager. It stores align, size and baseline parameters for every component within a container.

Since:
  1.6
See Also:
  `GridBagLayout`, `GridBagConstraints`, Serialized Form

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`